Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia
Class Model.MorphiaUpdateOperations

    java.lang.Object
      play.modules.morphia.Model.MorphiaUpdateOperations

Enclosing class:
  Model

    public static class Model.MorphiaUpdateOperations

extends Object

Constructor Summary
`Model.MorphiaUpdateOperations(Class<? extends Model> clazz)`

Method Summary
`Model.MorphiaUpdateOperations` | `add(String fieldExpr, Object value)`
`Model.MorphiaUpdateOperations` | `add(String fieldExpr, Object value, boolean addDups)`
`Model.MorphiaUpdateOperations` | `addAll(String fieldExpr, List<?> values, boolean addDups)`
`DBCollection` | `col()`
`Model.MorphiaUpdateOperations` | `dec(String fieldExpr)`
`Model.MorphiaUpdateOperations` | `disableIsolate()`
`Model.MorphiaUpdateOperations` | `disableValidation()`
`static Datastore` | `ds()`
`Model.MorphiaUpdateOperations` | `enableIsolate()`
`Model.MorphiaUpdateOperations` | `enableValidation()`
`boolean` | `equals(Object obj)`
`
`<T> T`
` | `findAndModify(boolean oldVersion, String query, Object... params)`
`
`<T> T`
` | `findAndModify(Model.MorphiaQuery q)`
`
`<T> T`
` | `findAndModify(Model.MorphiaQuery q, boolean oldVersion)`
`
`<T> T`
` | `findAndModify(Model.MorphiaQuery q, boolean oldVersion, boolean createIfMissing)`
`
`<T> T`
` | `findAndModify(String query, Object... params)`
`UpdateOperations<? extends Model>` | `getMorphiaUpdateOperations()`
`DBObject` | `getUpdateOperationsObject()`
`Model.MorphiaUpdateOperations` | `inc(String fieldExpr)`
`Model.MorphiaUpdateOperations` | `inc(String fieldExpr, Number... values)`
`Model.MorphiaUpdateOperations` | `isolate(boolean isolate)`
`Model.MorphiaUpdateOperations` | `isolated()`
`boolean` | `multi()`
`Model.MorphiaUpdateOperations` | `multi(boolean multi)`
`Model.MorphiaUpdateOperations` | `removeAll(String fieldExpr, List<?> values)`
`Model.MorphiaUpdateOperations` | `removeAll(String fieldExpr, Object value)`
`Model.MorphiaUpdateOperations` | `removeFirst(String fieldExpr)`
`Model.MorphiaUpdateOperations` | `removeLast(String fieldExpr)`
`Model.MorphiaUpdateOperations` | `set(String fieldExpr, Object... values)`
`Model.MorphiaUpdateOperations` | `unset(String fieldExpr)`
`
`<T> UpdateResults<T>`
` | `update(Model.MorphiaQuery q)`
`
`<T> UpdateResults<T>`
` | `update(String query, Object... params)`
`
`<T> UpdateResults<T>`
` | `updateAll()`
`
`<T> T`
` | `updateFirst(boolean oldVersion, String query, Object... params)`
`
`<T> T`
` | `updateFirst(Model.MorphiaQuery q)`
`
`<T> T`
` | `updateFirst(Model.MorphiaQuery q, boolean oldVersion)`
`
`<T> T`
` | `updateFirst(Model.MorphiaQuery q, boolean oldVersion, boolean createIfMissing)`
`
`<T> T`
` | `updateFirst(String query, Object... params)`
`Model.MorphiaUpdateOperations` | `validation(boolean validate)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Model.MorphiaUpdateOperations

    public Model.MorphiaUpdateOperations(Class<? extends Model> clazz)

Method Detail

### ds

    public static Datastore ds()

### getMorphiaUpdateOperations

    public UpdateOperations<? extends Model> getMorphiaUpdateOperations()

### getUpdateOperationsObject

    public DBObject getUpdateOperationsObject()

### col

    public DBCollection col()

### multi

    public Model.MorphiaUpdateOperations multi(boolean multi)

### multi

    public boolean multi()

### validation

    public Model.MorphiaUpdateOperations validation(boolean validate)

### enableValidation

    public Model.MorphiaUpdateOperations enableValidation()

### disableValidation

    public Model.MorphiaUpdateOperations disableValidation()

### isolate

    public Model.MorphiaUpdateOperations isolate(boolean isolate)

### enableIsolate

    public Model.MorphiaUpdateOperations enableIsolate()

### disableIsolate

    public Model.MorphiaUpdateOperations disableIsolate()

### isolated

    public Model.MorphiaUpdateOperations isolated()

### add

    public Model.MorphiaUpdateOperations add(String fieldExpr,
                                             Object value)

### add

    public Model.MorphiaUpdateOperations add(String fieldExpr,
                                             Object value,
                                             boolean addDups)

### addAll

    public Model.MorphiaUpdateOperations addAll(String fieldExpr,
                                                List<?> values,
                                                boolean addDups)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### dec

    public Model.MorphiaUpdateOperations dec(String fieldExpr)

### inc

    public Model.MorphiaUpdateOperations inc(String fieldExpr)

### inc

    public Model.MorphiaUpdateOperations inc(String fieldExpr,
                                             Number... values)

### removeAll

    public Model.MorphiaUpdateOperations removeAll(String fieldExpr,
                                                   Object value)

### removeAll

    public Model.MorphiaUpdateOperations removeAll(String fieldExpr,
                                                   List<?> values)

### removeFirst

    public Model.MorphiaUpdateOperations removeFirst(String fieldExpr)

### removeLast

    public Model.MorphiaUpdateOperations removeLast(String fieldExpr)

### set

    public Model.MorphiaUpdateOperations set(String fieldExpr,
                                             Object... values)

### unset

    public Model.MorphiaUpdateOperations unset(String fieldExpr)

### updateFirst

    public <T> T updateFirst(Model.MorphiaQuery q)

### updateFirst

    public <T> T updateFirst(String query,
                             Object... params)

### findAndModify

    public <T> T findAndModify(Model.MorphiaQuery q)

### findAndModify

    public <T> T findAndModify(String query,
                               Object... params)

### updateFirst

    public <T> T updateFirst(Model.MorphiaQuery q,
                             boolean oldVersion)

### updateFirst

    public <T> T updateFirst(boolean oldVersion,
                             String query,
                             Object... params)

### findAndModify

    public <T> T findAndModify(Model.MorphiaQuery q,
                               boolean oldVersion)

### findAndModify

    public <T> T findAndModify(boolean oldVersion,
                               String query,
                               Object... params)

### updateFirst

    public <T> T updateFirst(Model.MorphiaQuery q,
                             boolean oldVersion,
                             boolean createIfMissing)

### findAndModify

    public <T> T findAndModify(Model.MorphiaQuery q,
                               boolean oldVersion,
                               boolean createIfMissing)

### update

    public <T> UpdateResults<T> update(Model.MorphiaQuery q)

### update

    public <T> UpdateResults<T> update(String query,
                                       Object... params)

### updateAll

    public <T> UpdateResults<T> updateAll()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.